package domain

type TmallItemSeriesItemseriesInsertseriesitemSeriesField struct {
	/*
	   文本     */
	Text *string `json:"text,omitempty" `

	/*
	   值     */
	Value *string `json:"value,omitempty" `

	/*
	   key     */
	Key *string `json:"key,omitempty" `

	/*
	   type     */
	Type *string `json:"type,omitempty" `
}

func (s *TmallItemSeriesItemseriesInsertseriesitemSeriesField) SetText(v string) *TmallItemSeriesItemseriesInsertseriesitemSeriesField {
	s.Text = &v
	return s
}
func (s *TmallItemSeriesItemseriesInsertseriesitemSeriesField) SetValue(v string) *TmallItemSeriesItemseriesInsertseriesitemSeriesField {
	s.Value = &v
	return s
}
func (s *TmallItemSeriesItemseriesInsertseriesitemSeriesField) SetKey(v string) *TmallItemSeriesItemseriesInsertseriesitemSeriesField {
	s.Key = &v
	return s
}
func (s *TmallItemSeriesItemseriesInsertseriesitemSeriesField) SetType(v string) *TmallItemSeriesItemseriesInsertseriesitemSeriesField {
	s.Type = &v
	return s
}
